python-pygit2 (1.4.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 1.4.0+dfsg1.
  * Tighten dependency on libgit2.
  * Remove obsolete version guard.

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 09 Dec 2020 15:16:36 +0530

python-pygit2 (1.3.0+dfsg1-2) unstable; urgency=medium

  * Upload to unstable.
    - Transition time! \o/ (Closes: #971564)
  * Fix d/upstream/metadata.

 -- Utkarsh Gupta <utkarsh@debian.org>  Sat, 05 Dec 2020 00:39:37 +0530

python-pygit2 (1.3.0+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * Bump standards version to 4.5.1.
  * d/watch: Bump version to 4.
  * Rebase patches.

 -- Ondřej Nový <onovy@debian.org>  Wed, 02 Dec 2020 10:03:09 +0100

python-pygit2 (1.2.1+dfsg1-2) experimental; urgency=medium

  * Invert logic disabling internet patch.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 20:12:02 +0200

python-pygit2 (1.2.1+dfsg1-1) experimental; urgency=medium

  [ Utkarsh Gupta ]
  * Add BD on python3-cached-property
  * Tighten dependency on libgit2
  * Update d/copyright years
  * Add myself as an uploader

  [ Ondřej Nový ]
  * New upstream version 1.2.1
  * Rebase patches.
  * Use python3-sphinx-rtd-theme instead of bundled one.
  * d/copyright: Exclude bundled Sphinx rtd theme.
  * d/watch: dfsg version mangle.
  * Bump debhelper compat level to 13.
  * d/copyright: Bump my copyright year.

 -- Ondřej Nový <onovy@debian.org>  Fri, 12 Jun 2020 15:30:42 +0200

python-pygit2 (1.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0.
  * Rules-Requires-Root: no.

 -- Ondřej Nový <onovy@debian.org>  Mon, 03 Feb 2020 16:29:50 +0100

python-pygit2 (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Ondřej Nový <onovy@debian.org>  Tue, 14 Jan 2020 10:22:51 +0100

python-pygit2 (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.4.1.
  * Rebase patches.

 -- Ondřej Nový <onovy@debian.org>  Fri, 27 Dec 2019 18:35:17 +0100

python-pygit2 (0.28.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Ondřej Nový <onovy@debian.org>  Sun, 17 Nov 2019 12:22:27 +0100

python-pygit2 (0.28.2-1) experimental; urgency=medium

  * New upstream release (Closes: #931698)
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * d/patches/0004-Do-not-require-older-pycparser.patch:
    Drop, not needed anymore
  * Bump required version of libgit2 to 0.28

 -- Ondřej Nový <onovy@debian.org>  Tue, 16 Jul 2019 21:51:36 +0200

python-pygit2 (0.27.4-2) unstable; urgency=medium

  * Drop Python 2 support

 -- Ondřej Nový <onovy@debian.org>  Mon, 08 Jul 2019 13:58:47 +0200

python-pygit2 (0.27.4-1) unstable; urgency=medium

  * New upstream release
  * Rebase patches
  * d/copyright:
    - Fix copyright for new upstream release
    - Bump my copyright year

 -- Ondřej Nový <onovy@debian.org>  Tue, 22 Jan 2019 15:10:17 +0100

python-pygit2 (0.27.3-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.3.0 (no changes)
  * Bump debhelper compat level to 12 and use debhelper-compat
  * Rebase patches
  * Switch to pytest (same as upstream)

 -- Ondřej Nový <onovy@debian.org>  Mon, 31 Dec 2018 22:07:57 +0100

python-pygit2 (0.27.2-1) unstable; urgency=medium

  * New upstream release
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs
  * d/p/0004-Do-not-require-older-pycparser.patch: Add
  * Bump standards version to 4.2.1 (no changes)
  * Add upstream metadata

 -- Ondřej Nový <onovy@debian.org>  Sat, 29 Sep 2018 14:23:55 +0200

python-pygit2 (0.27.1-2) unstable; urgency=medium

  * Convert git repository from git-dpm to gbp layout
  * Skip test_no_context_lines (Closes: #886435)
  * Bump standards version to 4.2.0 (no changes)

 -- Ondřej Nový <onovy@debian.org>  Wed, 22 Aug 2018 15:07:35 +0200

python-pygit2 (0.27.1-1) unstable; urgency=medium

  * Uploading to unstable
  * New upstream release (Closes: #901672)

 -- Ondřej Nový <onovy@debian.org>  Fri, 13 Jul 2018 10:30:43 +0200

python-pygit2 (0.27.0-1) experimental; urgency=medium

  * New upstream release (Closes: #898884)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/copyright: Bump my copyright year
  * Use unittest discover instead of distutils for tests (Closes: #893242)
  * Bump Standards-Version to 4.1.4 (no changes needed)

 -- Ondřej Nový <onovy@debian.org>  Thu, 17 May 2018 12:15:14 +0200

python-pygit2 (0.26.3-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 11
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * d/rules: Don't install README.rst, it doesn't have any valuable
    information

 -- Ondřej Nový <onovy@debian.org>  Fri, 05 Jan 2018 16:42:38 +0100

python-pygit2 (0.26.2-2) unstable; urgency=medium

  * Skip broken unit tests in buildd

 -- Ondřej Nový <onovy@debian.org>  Fri, 01 Dec 2017 19:05:32 +0100

python-pygit2 (0.26.2-1) unstable; urgency=medium

  * New upstream release
  * Rebase and cleanup patches
  * Use Python 3 version of Sphinx to build docs
  * Bump Standards-Version to 4.1.2 (no changes needed)
  * Build docs with PYBUILD_AFTER_INSTALL_python3 because
    they needs built CFFI module

 -- Ondřej Nový <onovy@debian.org>  Fri, 01 Dec 2017 15:31:11 +0100

python-pygit2 (0.26.0-2) unstable; urgency=medium

  * Uploading to unstable

 -- Ondřej Nový <onovy@debian.org>  Thu, 14 Sep 2017 12:34:05 +0200

python-pygit2 (0.26.0-1) experimental; urgency=medium

  * New upstream release (Closes: #873143)
  * d/copyright: Bump upstream copyright years
  * d/control: Bump required libgit2 version to 0.26
  * Drop zigo from uploaders because he requested it
  * Skip submodule tests, https is not supported by libgit2

 -- Ondřej Nový <onovy@debian.org>  Wed, 30 Aug 2017 12:05:23 +0200

python-pygit2 (0.24.2-3) unstable; urgency=medium

  * Maintainer: DPMT team
  * Vcs-* move to DPMT
  * Use pybuild
  * Use autopkgtest-pkg-python testsuite
  * Standards-Version is 4.0.0.4 now (no changes needed)
  * d/copyright: Bump copyright years
  * d/s/options: Remove extend-diff-ignore of .gitreview
  * Small package description cleanup
  * Enable hardening

 -- Ondřej Nový <onovy@debian.org>  Fri, 04 Aug 2017 01:49:10 +0200

python-pygit2 (0.24.2-2) unstable; urgency=medium

  * Drop unnecessary Depends on python-cffi (Closes: #849744)

 -- Ondřej Nový <onovy@debian.org>  Mon, 02 Jan 2017 23:58:16 +0100

python-pygit2 (0.24.2-1) unstable; urgency=medium

  * New upstream release
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper version to 10
  * d/patches: Rebased for new release

 -- Ondřej Nový <onovy@debian.org>  Thu, 17 Nov 2016 20:31:10 +0100

python-pygit2 (0.24.1-1) unstable; urgency=medium

  * New upstream release
  * d/{control,copyright}: Use my @debian.org email address
  * Changed Vcs-Browser URL to cgit
  * Removed reproducible_build.patch (Applied upstream)
  * Install README.rst

 -- Ondřej Nový <onovy@debian.org>  Sat, 25 Jun 2016 23:15:34 +0200

python-pygit2 (0.24.0-3) unstable; urgency=medium

  * d/rules: Changed UPSTREAM_GIT protocol to https
  * Added reproducible_build.patch to make build reproducible

 -- Ondřej Nový <novy@ondrej.org>  Tue, 07 Jun 2016 22:38:46 +0200

python-pygit2 (0.24.0-2) unstable; urgency=medium

  * Run unit tests with UTC timezone, which workarounds upstream bug

 -- Ondřej Nový <novy@ondrej.org>  Thu, 21 Apr 2016 22:19:45 +0200

python-pygit2 (0.24.0-1) unstable; urgency=medium

  * Added myself as uploader
  * d/copyright: Added myself for Debian part
  * New upstream release (Closes: #820949)
  * Added python{3,}-six build dependency
  * Bumbed libgit2 dependency version
  * Added simple Debian tests
  * Standards-Version is 3.9.8 now (no change)

 -- Ondřej Nový <novy@ondrej.org>  Wed, 20 Apr 2016 14:29:33 +0200

python-pygit2 (0.23.3-1) unstable; urgency=medium

  * New upstream release:
    - Removed network access doing tests (Closes: #809246).
    - Rebuilt with newer CFFI (Closes: #807435).
  * VCS URLs using HTTPS.
  * Fixed debian/copyright ordering and years.

 -- Thomas Goirand <zigo@debian.org>  Sat, 06 Feb 2016 09:53:19 +0000

python-pygit2 (0.23.0-2) unstable; urgency=medium

  * Rebuild to fix permission error in Py3 (Closes: #807435).

 -- Thomas Goirand <zigo@debian.org>  Mon, 28 Dec 2015 09:37:04 +0000

python-pygit2 (0.23.0-1) unstable; urgency=medium

  * New upstream release (Closes: #797185):
    - Fixes can't import in Python3 (Closes: #796657).
  * Refreshed and rebased patches.

 -- Thomas Goirand <zigo@debian.org>  Tue, 08 Sep 2015 08:30:14 +0000

python-pygit2 (0.22.0-3) unstable; urgency=medium

  * Depends on version >= 0.9.2 of python-cffi (Closes: #788095).

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Jun 2015 17:39:37 +0200

python-pygit2 (0.22.0-2) unstable; urgency=medium

  * Removed broken unit tests (Closes: #786509).
  * Fixed watch file.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jun 2015 14:48:00 +0200

python-pygit2 (0.22.0-1) unstable; urgency=medium

  * New upstream release:
    - Adds support for libgit2 >= 0.22 which unfortunately is incompatible
    with previous version, so we restrict to that (Closes: #786597).
  * Ran wrap-and-sort.
  * Removed version in Build-Depends on python{3,}-all-dev.
  * Overrides dh_auto_clean to allow easier gbp builds.
  * Added PYTHON_PATH=. when running unit tests (Closes: #786509).

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 May 2015 10:39:26 +0200

python-pygit2 (0.21.4-2) unstable; urgency=medium

  [ Yaroslav Halchenko ]
  * debian/watch
    - add trailing slash to fix downloads
  * debian/control
    - add python{,3}-{cffi,pycparser} to build-depends (Closes: #784298).
  * debian/rules
    - export http{,s}_proxy to prevent any online activity during build

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 May 2015 21:50:21 +0000

python-pygit2 (0.21.4-1) unstable; urgency=medium

  * Initial release. (Closes: #769427)

 -- Thomas Goirand <zigo@debian.org>  Thu, 13 Nov 2014 22:19:17 +0800
